notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Want a good monitor light? See my photosAll times are UTC
Ukraine
non port: archivers/jzip.org/files/jzip.org.sh.in

Number of commits found: 2

Thursday, 21 Jul 2011
05:03 linimon search for other commits by this committer
Now that the Java 1.3 and Java 1.4 ports are deprecated and will expire soon,
remove support for them from bsd.java.mk.  As Jikes is not available in Java 1.5
or higher, remove it from bsd.java.mk too (suggested by hq@) and from the ports
which used it (only occurences were USE_JIKES=no).  Support for the Blackdown VM
is also removed, as it is not available in Java 1.5 and higher.

Also remove the mapping from Java 1.1-1.4 to Java 1.5+ in bsd.java.mk to detect
old, broken ports; therefore bump the minimal value of JAVA_VERSION to 1.5.
While here, replace static values of JAVA_VERSION in files/*.in by
%%JAVA_VERSION%% .

PR:             ports/158969
Submitted by:   rene
Tested on:      pointyhat-west -exp
Original commit
Friday, 28 Jan 2005
22:56 hq search for other commits by this committer
- Update to bsd.java.mk 2.0
- Add 'java' category
- Add a launcher shell script: 'jzip.org'
Original commit

Number of commits found: 2